package accuracy

import (
	"math"
)

const (
	roundingTimeHoursDigitsCount       = 1
	roundingTimeHoursТочнееDigitsCount = 5
)

func RoundTimeHours(number float64) float64 {
	return RoundFloat(number, roundingTimeHoursDigitsCount)
}
func RoundTimeHoursТочнее(number float64) float64 {
	return RoundFloat(number, roundingTimeHoursТочнееDigitsCount)
}
func RoundFloat(number float64, roundingTempDigitsCount int) float64 {
	temp := math.Pow(10, float64(roundingTempDigitsCount))
	return math.Round(number*temp) / temp
}

func СекундыВМинуты(seconds int) int {
	s_ostatok := seconds % 60
	res := seconds / 60
	if s_ostatok < 30 {
		return res
	}
	return res + 1
}

func ОкруглитьРубли(сумма float64) int {
	return int(math.Round(сумма))
}
